package com.qsoft.rs.sincoar.dto;

import java.io.Serializable;

public class MigrlogDTO implements Serializable {

    private static final long serialVersionUID = 503447255898194L;

    private Integer id;

    private java.util.Date logDate;

    private Integer severity;

    private String logtext;

    private String phase;

    private Integer refObjectId;

    private String refObjectType;

    private Integer connectionIdFk;

    private Integer parentLogId;

        public Integer getId() {
    return id;
    }

        public void setId(Integer id) {
    this.id = id;
    }

        public java.util.Date getLogDate() {
    return logDate;
    }

        public void setLogDate(java.util.Date logDate) {
    this.logDate = logDate;
    }

        public Integer getSeverity() {
    return severity;
    }

        public void setSeverity(Integer severity) {
    this.severity = severity;
    }

        public String getLogtext() {
    return logtext;
    }

        public void setLogtext(String logtext) {
    this.logtext = logtext;
    }

        public String getPhase() {
    return phase;
    }

        public void setPhase(String phase) {
    this.phase = phase;
    }

        public Integer getRefObjectId() {
    return refObjectId;
    }

        public void setRefObjectId(Integer refObjectId) {
    this.refObjectId = refObjectId;
    }

        public String getRefObjectType() {
    return refObjectType;
    }

        public void setRefObjectType(String refObjectType) {
    this.refObjectType = refObjectType;
    }

        public Integer getConnectionIdFk() {
    return connectionIdFk;
    }

        public void setConnectionIdFk(Integer connectionIdFk) {
    this.connectionIdFk = connectionIdFk;
    }

        public Integer getParentLogId() {
    return parentLogId;
    }

        public void setParentLogId(Integer parentLogId) {
    this.parentLogId = parentLogId;
    }

}